#### D.7.1.36 image_of_variety

Procedure from library `finvar.lib` (see finvar_lib).

Usage:
  image_of_variety(I,F);
  I: an arbitray <ideal>,
  F: a 1xm <matrix> defining an invariant ring of some matrix group

Return:
  The <ideal> defining the image under that group of the variety defined by I

Theory:
  rel_orbit_variety(I,F) is called and the newly introduced
  variables in the output are replaced by the generators of the
  invariant ring. This ideal in the original variables defines the image
  of the variety defined by I

Example:

    LIB "finvar.lib";
    ring R=0,(x,y,z),dp;
    matrix F[1][3]=x+y+z,xy+xz+yz,xyz;
    ideal I=xy;
    print(image_of_variety(I,F));
    ==> xyz

User manual for Singular version 4-0-3, 2016, generated by texi2html.